| ## pdb2gmx Main Table of Contents | VERSION 4.5 Thu 26 Aug 2010

### Description

This program reads a pdb (or gro) file, reads some database files, adds hydrogens to the molecules and generates coordinates in Gromacs (Gromos), or optionally pdb, format and a topology in Gromacs format. These files can subsequently be processed to generate a run input file.

pdb2gmx will search for force fields by looking for a `forcefield.itp` file in subdirectories `<forcefield>.ff` of the current working directory and of the Gomracs library directory as inferred from the path of the binary or the `GMXLIB` environment variable. By default the forcefield selection is interactive, but you can use the `-ff` option to specify one of the short names in the list on the command line instead. In that case pdb2gmx just looks for the corresponding `<forcefield>.ff` directory.

After choosing a force field, all files will be read only from the corresponding force field directory. If you want to modify or add a residue types, you can copy the force field directory from the Gromacs library directory to your current working directory. If you want to add new protein residue types, you will need to modify residuetypes.dat in the libary directory or copy the whole library directory to a local directory and set the environment variable `GMXLIB` to the name of that directory. Check chapter 5 of the manual for more information about file formats.

Note that a pdb file is nothing more than a file format, and it need not necessarily contain a protein structure. Every kind of molecule for which there is support in the database can be converted. If there is no support in the database, you can add it yourself.

The program has limited intelligence, it reads a number of database files, that allow it to make special bonds (Cys-Cys, Heme-His, etc.), if necessary this can be done manually. The program can prompt the user to select which kind of LYS, ASP, GLU, CYS or HIS residue she wants. For LYS the choice is between neutral (two protons on NZ) or protonated (three protons, default), for ASP and GLU unprotonated (default) or protonated, for HIS the proton can be either on ND1, on NE2 or on both. By default these selections are done automatically. For His, this is based on an optimal hydrogen bonding conformation. Hydrogen bonds are defined based on a simple geometric criterium, specified by the maximum hydrogen-donor-acceptor angle and donor-acceptor distance, which are set by `-angle` and `-dist` respectively.

The separation of chains is not entirely trivial since the markup in user-generated PDB files frequently varies and sometimes it is desirable to merge entries across a TER record, for instance if you want a disulfide bridge or distance restraints between two protein chains or if you have a HEME group bound to a protein. In such cases multiple chains should be contained in a single `molecule_type` definition. To handle this, pdb2gmx has an option `-chainsep` so you can choose whether a new chain should start when we find a TER record, when the chain id changes, combinations of either or both of these or fully interactively.

pdb2gmx will also check the occupancy field of the pdb file. If any of the occupancies are not one, indicating that the atom is not resolved well in the structure, a warning message is issued. When a pdb file does not originate from an X-Ray structure determination all occupancy fields may be zero. Either way, it is up to the user to verify the correctness of the input data (read the article!).

During processing the atoms will be reordered according to Gromacs conventions. With `-n` an index file can be generated that contains one group reordered in the same way. This allows you to convert a Gromos trajectory and coordinate file to Gromos. There is one limitation: reordering is done after the hydrogens are stripped from the input and before new hydrogens are added. This means that you should not use `-ignh`.

The `.gro` and `.g96` file formats do not support chain identifiers. Therefore it is useful to enter a pdb file name at the `-o` option when you want to convert a multichain pdb file.

The option `-vsite` removes hydrogen and fast improper dihedral motions. Angular and out-of-plane motions can be removed by changing hydrogens into virtual sites and fixing angles, which fixes their position relative to neighboring atoms. Additionally, all atoms in the aromatic rings of the standard amino acids (i.e. PHE, TRP, TYR and HIS) can be converted into virtual sites, elminating the fast improper dihedral fluctuations in these rings. Note that in this case all other hydrogen atoms are also converted to virtual sites. The mass of all atoms that are converted into virtual sites, is added to the heavy atoms.

Also slowing down of dihedral motion can be done with `-heavyh` done by increasing the hydrogen-mass by a factor of 4. This is also done for water hydrogens to slow down the rotational motion of water. The increase in mass of the hydrogens is subtracted from the bonded (heavy) atom so that the total mass of the system remains the same.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `eiwit.pdb` | Input | Structure file: gro g96 pdb tpr etc.
`-o` | `conf.gro` | Output | Structure file: gro g96 pdb etc.
`-p` | `topol.top` | Output | Topology file
`-i` | `posre.itp` | Output | Include file for topology
`-n` | `clean.ndx` | Output, Opt. | Index file
`-q` | `clean.pdb` | Output, Opt. | Structure file: gro g96 pdb etc.

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | gmx_bool | `no` | Print help info and quit
`-[no]version` | gmx_bool | `no` | Print version info and quit
`-nice` | int | `0` | Set the nicelevel
`-chainsep` | enum | `id_or_ter` | Condition in PDB files when a new chain and molecule_type should be started: `id_or_ter`, `id_and_ter`, `ter`, `id` or `interactive`
`-ff` | string | `select` | Force field, interactive by default. Use -h for information.
`-water` | enum | `select` | Water model to use: `select`, `none`, `spc`, `spce`, `tip3p`, `tip4p` or `tip5p`
`-[no]inter` | gmx_bool | `no` | Set the next 8 options to interactive
`-[no]ss` | gmx_bool | `no` | Interactive SS bridge selection
`-[no]ter` | gmx_bool | `no` | Interactive termini selection, iso charged
`-[no]lys` | gmx_bool | `no` | Interactive Lysine selection, iso charged
`-[no]arg` | gmx_bool | `no` | Interactive Arganine selection, iso charged
`-[no]asp` | gmx_bool | `no` | Interactive Aspartic Acid selection, iso charged
`-[no]glu` | gmx_bool | `no` | Interactive Glutamic Acid selection, iso charged
`-[no]gln` | gmx_bool | `no` | Interactive Glutamine selection, iso neutral
`-[no]his` | gmx_bool | `no` | Interactive Histidine selection, iso checking H-bonds
`-angle` | real | `135` | Minimum hydrogen-donor-acceptor angle for a H-bond (degrees)
`-dist` | real | `0.3` | Maximum donor-acceptor distance for a H-bond (nm)
`-[no]una` | gmx_bool | `no` | Select aromatic rings with united CH atoms on Phenylalanine, Tryptophane and Tyrosine
`-[no]ignh` | gmx_bool | `no` | Ignore hydrogen atoms that are in the pdb file
`-[no]missing` | gmx_bool | `no` | Continue when atoms are missing, dangerous
`-[no]v` | gmx_bool | `no` | Be slightly more verbose in messages
`-posrefc` | real | `1000` | Force constant for position restraints
`-vsite` | enum | `none` | Convert atoms to virtual sites: `none`, `hydrogens` or `aromatics`
`-[no]heavyh` | gmx_bool | `no` | Make hydrogen atoms heavy
`-[no]deuterate` | gmx_bool | `no` | Change the mass of hydrogens to 2 amu
`-[no]chargegrp` | gmx_bool | `yes` | Use charge groups in the rtp file
`-[no]cmap` | gmx_bool | `yes` | Use cmap torsions (if enabled in the rtp file)
`-[no]renum` | gmx_bool | `no` | Renumber the residues consecutively in the output
`-[no]rtpres` | gmx_bool | `no` | Use rtp entry names as residue names

http://www.gromacs.org
gromacs@gromacs.org